Summary: Keymaps, fonts, charset maps, fallback tables for console-tools
Name: hhl-target-console-data
Version: 1999.08.29
Release: %{_hhl_build_id}.1
Source: ftp://lct.sourceforge.net/pub/lct/console-data-%{version}.tar.gz
Source1: console-data-LICENSE
Source2: console-data.tmpl
Patch: console-data_1999.08.29-17.diff.gz
License: GPL
Group: utils
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix: %{_hhl_cross_target_dir}
%define _docdir         %{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

%description
This package contains the standard data files for the Linux Console Tools.

This includes keyboard definitions (keymaps), console fonts for various
encodings, maps defining the standard charsets for use by text applications,
and fallback tables allowing to approximate an unavailable character's glyph
with the glyph of another character in the current font.

# binary package
%package -n hhl-%{_hhl_target_arch}-console-data
Summary: Keymaps, fonts, charset maps, fallback tables for console-tools
Group: utils
AutoReqProv: no
%description -n hhl-%{_hhl_target_arch}-console-data
This package contains the standard data files for the Linux Console Tools.
   
This includes keyboard definitions (keymaps), console fonts for various
encodings, maps defining the standard charsets for use by text 
applications,
and fallback tables allowing to approximate an unavailable character's 
glyph
with the glyph of another character in the current font.

%prep
%target_check
%setup -q -n console-data-%{version}
%patch -p1

%build
%target_setup
%target_configure --with-main_compressor=gzip | tee ../build.log
%make | tee -a ../build.log

%install
rm -rf %{buildroot}
%target_setup
%target_makeinstall
cd ..

# Setup the console-data.config file and getkmapchoice.pl
sed < debian/helpers/console-data.config.in debian/helpers/common.pl \
	debian/console-data.keymaps > debian/console-data.config \
	-e '/^#####KEYMAPS#####$/ r debian/console-data.keymaps' \
	-e '/^#####COMMON#####$/ r debian/helpers/common.pl'

sed < debian/getkmapchoice.pl.in debian/helpers/common.pl > \
	debian/getkmapchoice.pl \
	-e '/^#####COMMON#####$/ r debian/helpers/common.pl'

# Now continue w/ the install...
install -d %{buildroot}%{_hhl_cross_target_dir}/usr/share/console
install -m 755 debian/getkmapchoice.pl %{buildroot}%{_hhl_cross_target_dir}/usr/share/console

# Looks unnecessary!
# uudecode new binary files
#UUENCODED="Cyr_a8x8.psf Cyr_a8x14.psf Cyr_a8x16.psf"
#
#  ( for i in ${UUENCODED} ; do \
#    uudecode debian/${i}.uue -o %{buildroot}%{_hhl_cross_target_dir}/usr/share/${i};\
#    gzip -9f %{buildroot}%{_hhl_cross_target_dir}/usr/share/${i} ;\
#  done )

# install Debian dotfiles for kbdconfig
  ( cd debian/keymaps-dotfiles/ && \
    find -type f -exec sh -c "cp {} %{buildroot}%{_hhl_cross_target_dir}/usr/share/keymaps/{}" \; )

install -d %{buildroot}%{_hhl_cross_target_dir}/usr/share/console/lists/keymap
install -m 644 debian/console-data.keymaps \
	%{buildroot}%{_hhl_cross_target_dir}/usr/share/console/lists/keymap

# these fonts have a redistribution restriction
# It is against the license to redistribute commercially!
rm -f %{buildroot}%{_hhl_cross_target_dir}/usr/share/consolefonts/Agafari-1*

cp %{SOURCE1} LICENSE


install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE2} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/console-data

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-console-data
%defattr(-,root,root)
%dir %{_hhl_cross_target_dir}/usr/share/consolefonts
%{_hhl_cross_target_dir}/usr/share/consolefonts/*
%dir %{_hhl_cross_target_dir}/usr/share/consoletrans
%{_hhl_cross_target_dir}/usr/share/consoletrans/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps
%{_hhl_cross_target_dir}/usr/share/keymaps/.desc
%{_hhl_cross_target_dir}/usr/share/keymaps/.top-level
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/amiga
%{_hhl_cross_target_dir}/usr/share/keymaps/amiga/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/atari
%{_hhl_cross_target_dir}/usr/share/keymaps/atari/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/i386
%{_hhl_cross_target_dir}/usr/share/keymaps/i386/.desc
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/i386/azerty
%{_hhl_cross_target_dir}/usr/share/keymaps/i386/azerty/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/i386/dvorak
%{_hhl_cross_target_dir}/usr/share/keymaps/i386/dvorak/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/i386/fgGIod
%{_hhl_cross_target_dir}/usr/share/keymaps/i386/fgGIod/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/i386/include
%{_hhl_cross_target_dir}/usr/share/keymaps/i386/include/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/i386/qwerty
%{_hhl_cross_target_dir}/usr/share/keymaps/i386/qwerty/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/i386/qwertz
%{_hhl_cross_target_dir}/usr/share/keymaps/i386/qwertz/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/include
%{_hhl_cross_target_dir}/usr/share/keymaps/include/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/mac
%{_hhl_cross_target_dir}/usr/share/keymaps/mac/*
%dir %{_hhl_cross_target_dir}/usr/share/keymaps/sun
%{_hhl_cross_target_dir}/usr/share/keymaps/sun/*
%dir %{_hhl_cross_target_dir}/usr/share/unidata
%{_hhl_cross_target_dir}/usr/share/unidata/*
%doc doc/README.acm doc/README.sfm
%doc doc/fonts/README* doc/fonts/fonts.magic
%doc LICENSE
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/console-data

%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Fri Feb 23 2001 Mark Hatle <source@mvista.com>
- First cut
